## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSetWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore
                  org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  FileSelectionWizardPage

    public abstract class DataSetWizardPage

extends org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore

The abstract base class for implementation of a customized ODA data set wizard page. An ODA data set UI extension must extend this to provide customized wizard page with page control and related behavior. This is the base class of the dataSetPage.wizardPageClass attribute defined in the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`DataSetWizardPage(java.lang.String pageName)` Constructor with single argument for wizard page name.
`DataSetWizardPage(java.lang.String pageName, java.lang.String title, org.eclipse.jface.resource.ImageDescriptor titleImage)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`abstract void` `createPageCustomControl(org.eclipse.swt.widgets.Composite parent)` Creates customized control for this wizard page under the given parent composite.

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore
`dispose, getIconDescriptor, getIconFilePath, performHelp, setErrorMessage, setMessage`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setImageDescriptor, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, setVisible`

Constructor Detail

### DataSetWizardPage

    public DataSetWizardPage(java.lang.String pageName)

  Constructor with single argument for wizard page name. This single-argument constructor is used by the ODA data set wizard to create a custom wizard page. Subclass may override to provide additional page attributes, such as customized title, message, title image.

  Parameters:
    `pageName` - wizard page name

### DataSetWizardPage

    public DataSetWizardPage(java.lang.String pageName,
                             java.lang.String title,
                             org.eclipse.jface.resource.ImageDescriptor titleImage)

Method Detail

### createPageCustomControl

    public abstract void createPageCustomControl(org.eclipse.swt.widgets.Composite parent)

  Creates customized control for this wizard page under the given parent composite. Initializes control as appropriate with the DataSetDesign initialization instance.

  Parameters:
    `parent` - the parent composite
  See Also:
    `DataSetWizardPageCore.getInitializationDesign()`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore`